import type { AbstractModelDB } from "@canvas-js/modeldb";
export type AncestorRecord = {
    id: string;
    links: string[][];
};
export declare class AncestorIndex {
    private readonly db;
    static schema: {
        $ancestors: {
            id: "primary";
            links: "json";
        };
    };
    constructor(db: AbstractModelDB);
    private getLinks;
    private setLinks;
    getAncestors(id: string, atOrBefore: number, results?: Set<string>, visited?: Set<string>): Promise<Set<string>>;
    isAncestor(id: string, ancestorId: string, visited?: Set<string>): Promise<boolean>;
    indexAncestors(id: string, parentIds: string[]): Promise<void>;
}
