export class BranchMergeIndex {
    constructor(db) {
        this.db = db;
    }
    async insertBranchMerge(record) {
        const id = `${record.source_branch}:${record.source_clock}:${record.target_branch}:${record.target_clock}`;
        await this.db.set("$branch_merges", { id, ...record });
    }
}
BranchMergeIndex.schema = {
    $branch_merges: {
        id: "primary",
        source_branch: "integer",
        source_message_id: "string",
        source_clock: "integer",
        target_branch: "integer",
        target_message_id: "string",
        target_clock: "integer",
    },
};
