import type { Signature, Message } from "@canvas-js/interfaces";
export declare class SignedMessage<Payload = unknown> {
    readonly signature: Signature;
    readonly message: Message<Payload>;
    readonly value: Uint8Array;
    static decode<Payload = unknown>(value: Uint8Array): SignedMessage<Payload>;
    static encode<Payload>(signature: Signature, message: Message<Payload>): SignedMessage<Payload>;
    readonly id: string;
    readonly key: Uint8Array;
    private constructor();
}
