import { encodeSignedMessage, decodeSignedMessage } from "./schema.js";
import { decodeId, getKey } from "./ids.js";
export class SignedMessage {
    static decode(value) {
        const { signature, message } = decodeSignedMessage(value);
        return new SignedMessage(signature, message, value);
    }
    static encode(signature, message) {
        const value = encodeSignedMessage(signature, message);
        return new SignedMessage(signature, message, value);
    }
    constructor(signature, message, value) {
        this.signature = signature;
        this.message = message;
        this.value = value;
        this.key = getKey(message.clock, value);
        this.id = decodeId(this.key);
    }
}
