import pg from "pg";
import { Tree as MemoryTree } from "@canvas-js/okra-memory";
import { ModelDB } from "@canvas-js/modeldb-pg";
import { AbstractGossipLog, GossipLogInit } from "../AbstractGossipLog.js";
export declare class GossipLog<Payload> extends AbstractGossipLog<Payload> {
    readonly db: ModelDB;
    readonly tree: MemoryTree;
    static open<Payload>(connectionConfig: string | pg.ConnectionConfig, { clear, ...init }: GossipLogInit<Payload> & {
        clear?: boolean;
    }): Promise<GossipLog<Payload>>;
    private constructor();
    close(): Promise<void>;
}
